<?php if (!defined('PmWiki')) exit();
// See gridworks/README
if (file_exists("cookbook/gridworks/gridworks.php")) {
  $EnableGridWorks = 1;
  include_once('cookbook/gridworks/gridworks.php');
}

// See: http://blueprintcss.org/
function BlueprintLoadLib(&$gridworks) {

	global $GridWorks, $HTMLHeaderFmt;
	extract($gridworks, EXTR_OVERWRITE);

	SDV($GridWorks['blueprint_path'], '/pub/lib/blueprint/1.0.1');
	$webpath = &$GridWorks['blueprint_path'];
	$h1 = ''; $h2 = ''; $h3 = ''; $h6 = ''; $e1 = ''; $e2 = ''; $noprint = '';

	if($loadmethod === 'js') {
	  $h2 = "\n<script type='text/javascript' src='$webpath/js/config-$columns-$gutter.js'></script>";
	  $h2 = $h2."\n<script type='text/javascript' src='$webpath/js/adapt.js'></script>";
	}

	if($loadmethod === 'mq') {
	  $h2 = "\n<link rel='stylesheet' href='$webpath/css/mq/import-$columns-$gutter.css' type='text/css' />";
	}

	if($iecompat !== '0') {
	$e1 = "\n<!--[if lt IE 8]>
		<link rel='stylesheet' href='$webpath/css/ie.css' type='text/css' media='screen, projection'><![endif]-->";
	}

	$_r = array(
		'forms', 'grid', 'print', 'reset', 
		'screen', 'typography', 'all', 'noprint'
	);
	$r = explode(',', $loadcss);

	$_h = array();
	$_h2 = "\n<link rel='stylesheet' href='$webpath/css/screen.css' type='text/css' />";
	$_h3 = "\n<link rel='stylesheet' href='$webpath/css/print.css' type='text/css' />";
	foreach($r as $v) {
		if( in_array($v, $_r) ) {
			$_h[$v] = "\n<link rel='stylesheet' href='$webpath/css/$v.css' type='text/css' />";
		}
		if('print' === $v) { $_h[$v] = ''; $h3 = $_h3;  }
	}
	if( in_array('noprint', $r) ) { $_h['noprint'] = ''; $_h['print'] = ''; $h3 = '';  }
	if( isset($_h['all'] ) || isset($_h['screen'])) { $_h = array(); $h2 = $_h2; }

	$h = implode('', $_h).$h2.$h3.$e1;
	$HTMLHeaderFmt['GridWorks'] = "\n<!--GridWorksFmt-->".$h."\n<!--/GridWorksFmt-->";

}

function GridWorks2($pagename, $args) {

	$gridworks = _GridWorks($pagename, $args);
	$error = BlueprintLoadLib($gridworks);
	return @$error;

}

